Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 494740 - dev-libs/libgcrypt-1.6.0: compile fails on Gentoo/FreeBSD 10.0 (x86-fbsd)
Summary: dev-libs/libgcrypt-1.6.0: compile fails on Gentoo/FreeBSD 10.0 (x86-fbsd)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: FreeBSD (show other bugs)
Hardware: x86 FreeBSD
: Normal normal (vote)
Assignee: Gentoo x86 FreeBSD Team
URL: https://bugs.gnupg.org/gnupg/issue1974
Whiteboard:
Keywords:
Depends on:
Blocks: 488214
  Show dependency tree
 
Reported: 2013-12-19 12:20 UTC by Yuta SATOH
Modified: 2015-06-28 19:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sample patch for libgcrypt-1.6.0.ebuild (494740.patch,421 bytes, patch)
2013-12-19 12:33 UTC, Yuta SATOH
Details | Diff
patch for mpi/config.links (494740-new.patch,895 bytes, patch)
2014-05-02 14:47 UTC, Yuta SATOH
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuta SATOH 2013-12-19 12:20:57 UTC
The following message is displayed and fails to compile.


libtool: compile:  i686-gentoo-freebsd10.0-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/mpi -I.. -I../src -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/src -D_THREAD_SAFE -O2 -march=i686 -pipe -fvisibility=hidden -Wall -c /var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/mpi/ec-ed25519.c  -fPIC -DPIC -o .libs/ec-ed25519.o
/bin/sh ../libtool   --mode=compile i686-gentoo-freebsd10.0-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/mpi -I..  -I../src -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/src -D_THREAD_SAFE -Wa,--noexecstack -O2 -march=i686 -pipe -c -o mpih-sub1-asm.lo mpih-sub1-asm.S
libtool: compile:  i686-gentoo-freebsd10.0-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/mpi -I.. -I../src -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/src -D_THREAD_SAFE -Wa,--noexecstack -O2 -march=i686 -pipe -c mpih-add1-asm.S  -fPIC -DPIC -o .libs/mpih-add1-asm.o
mpih-add1-asm.S: Assembler messages:
mpih-add1-asm.S:44: Error: alignment not a power of 2
mpih-add1-asm.S:79: Error: alignment not a power of 2
Makefile:520: recipe for target 'mpih-add1-asm.lo' failed
gmake[2]: *** [mpih-add1-asm.lo] Error 1
gmake[2]: *** Waiting for unfinished jobs....
libtool: compile:  i686-gentoo-freebsd10.0-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/mpi -I.. -I../src -I/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0/src -D_THREAD_SAFE -Wa,--noexecstack -O2 -march=i686 -pipe -c mpih-sub1-asm.S  -fPIC -DPIC -o .libs/mpih-sub1-asm.o
mpih-sub1-asm.S: Assembler messages:
mpih-sub1-asm.S:45: Error: alignment not a power of 2
mpih-sub1-asm.S:80: Error: alignment not a power of 2
Makefile:520: recipe for target 'mpih-sub1-asm.lo' failed
gmake[2]: *** [mpih-sub1-asm.lo] Error 1
gmake[2]: Leaving directory '/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0_build/mpi'
Makefile:409: recipe for target 'all-recursive' failed
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory '/var/tmp/portage/dev-libs/libgcrypt-1.6.0/work/libgcrypt-1.6.0_build'
Makefile:340: recipe for target 'all' failed
gmake: *** [all] Error 2
Comment 1 Yuta SATOH 2013-12-19 12:33:06 UTC
Created attachment 365674 [details, diff]
sample patch for libgcrypt-1.6.0.ebuild

FYI,
http://svnweb.freebsd.org/ports/head/security/libgcrypt/Makefile?r1=281921&r2=285106
Comment 2 Yuta SATOH 2014-05-02 14:47:52 UTC
Created attachment 376214 [details, diff]
patch for mpi/config.links
Comment 3 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2015-02-02 00:05:10 UTC
this still occur in the latest 1.6 builds?
Comment 4 Kristian Fiskerstrand gentoo-dev Security 2015-02-02 18:35:59 UTC
(In reply to Matthew Thode ( prometheanfire ) from comment #3)
> this still occur in the latest 1.6 builds?

And if the issue persists; has this issue been reported upstream? if so please include a link to the bug report or mailing list thread.
Comment 5 NP-Hardass gentoo-dev 2015-05-09 08:12:11 UTC
(In reply to Matthew Thode ( prometheanfire ) from comment #3)
> this still occur in the latest 1.6 builds?

I can confirm that 1.6.3 builds without issue here. (Hadn't checked any others)
Comment 6 NP-Hardass gentoo-dev 2015-05-09 08:26:11 UTC
(In reply to NP-Hardass from comment #5)
> (In reply to Matthew Thode ( prometheanfire ) from comment #3)
> > this still occur in the latest 1.6 builds?
> 
> I can confirm that 1.6.3 builds without issue here. (Hadn't checked any
> others)

Ignore that, I was using amd64.  Yuta Satoh still has failure on this for x86 for libgcrypt-1.6.3
Comment 7 Yuta SATOH 2015-05-09 11:24:27 UTC
Added upstream bug URL.
Comment 8 Kristian Fiskerstrand gentoo-dev Security 2015-06-12 22:07:57 UTC
Does this issue persist in libgcrypt 1.6.3 ?
Comment 9 Kristian Fiskerstrand gentoo-dev Security 2015-06-12 22:14:54 UTC
(In reply to Kristian Fiskerstrand from comment #8)
> Does this issue persist in libgcrypt 1.6.3 ?

Sorry about that, it is fixed upstream in [0], but waiting for them to cut a new release. When I read the message of a fix I didn't realize it was added yesterday, and there are too many patches to backport for this issue individually.

References:
[0] http://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgcrypt.git;a=commitdiff;h=a36ee7501f68ad7ebcfe31f9659430b9d2c3ddd1;hp=2bddd947fd1c11b4ec461576db65a5e34fea1b07
Comment 10 Kristian Fiskerstrand gentoo-dev Security 2015-06-28 19:20:13 UTC
As this patch applies cleanly and isn't affected by the other changes to the 1.6 branch, fixed in tree.

+*libgcrypt-1.6.3-r3 (28 Jun 2015)
+
+  28 Jun 2015; Kristian Fiskerstrand <k_f@gentoo.org>   
+  +files/libgcrypt-1.6.3-freebsd-mpi.patch, +libgcrypt-1.6.3-r3.ebuild,
+  -files/libgcrypt-1.6.0-serial-tests.patch,
+  -files/libgcrypt-1.6.1-x32-compat.patch, -libgcrypt-1.6.1-r2.ebuild,
+  -libgcrypt-1.6.2.ebuild, -libgcrypt-1.6.3-r2.ebuild, -libgcrypt-1.6.3.ebuild:
+  Fix compile issue on fbsd (bug #494740). Cleanup old. 
+